"use client";
import React, { useState } from 'react';
import AdminSidebar from "./admin_sidebar";
import AdminHeader from "./admin_header";

export default function AdminLayout({ children }) {
  const [sidebarOpen, setSidebarOpen] = useState(false);

  return (
    <div className="flex h-screen bg-gray-50 dark:bg-gray-900">
      {/* Sidebar - Fixed position on large screens, sliding on mobile */}
      <AdminSidebar
        sidebarOpen={sidebarOpen}
        setSidebarOpen={setSidebarOpen}
      />

      {/* Main Content Area - Flexes to fill remaining space */}
      <div className="flex flex-1 flex-col lg:pl-72">
        {/* Header - Fixed at top */}
        <AdminHeader
          sidebarOpen={sidebarOpen}
          setSidebarOpen={setSidebarOpen}
        />
        
        {/* Main Content - Scrollable area below header */}
        <main className="flex-1 overflow-x-hidden overflow-y-auto bg-gray-50 dark:bg-gray-900">
          <div className="container mx-auto px-4 py-6 md:px-6 2xl:px-10">
            {children}
          </div>
        </main>
      </div>
    </div>
  );
}